> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document by ID

> Get a document by ID.



## OpenAPI

````yaml /reference/manage-vanta.json get /documents/{documentId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /documents/{documentId}:
    get:
      tags:
        - Documents
      summary: Get document by ID
      description: Get a document by ID.
      operationId: GetDocument
      parameters:
        - in: path
          name: documentId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentDetail'
              examples:
                Example 1:
                  value:
                    id: access-requests
                    title: Access request ticket and history
                    description: >-
                      Provide two examples of a recent access request and
                      approval 
                    isSensitive: false
                    uploadStatusDate: '2024-03-17T00:00:00.000Z'
                    category: Account setup
                    uploadStatus: Needs document
                    url: https://example.com
                    ownerId: '1'
                    note: Example document note
                    nextRenewalDate: '2025-03-17T00:00:00.000Z'
                    renewalCadence: P1Y
                    reminderWindow: P1M
                    deactivatedStatus:
                      isDeactivated: false
                      reason: null
                      expiration: null
                      creationDate: '2024-03-02T00:00:00.000Z'
                    subscribers: []
      security:
        - bearerAuth: []
components:
  schemas:
    DocumentDetail:
      properties:
        id:
          type: string
          description: The document's unique ID.
        ownerId:
          type: string
          nullable: true
          description: The user ID of the document's owner.
        category:
          $ref: '#/components/schemas/DocumentAndTestCategory'
          description: The document's category.
        description:
          type: string
          description: The document's description.
        isSensitive:
          type: boolean
          description: Determines whether or not the document is sensitive.
        title:
          type: string
          description: The document's title.
        uploadStatus:
          $ref: '#/components/schemas/DocumentStatus'
          description: The document's status.
        uploadStatusDate:
          type: string
          format: date-time
          nullable: true
          description: The date the document's uploadStatus changed.
        url:
          type: string
          nullable: true
          description: The URL to view the document within Vanta.
        deactivatedStatus:
          properties:
            creationDate:
              type: string
              format: date-time
              description: The date the document was deactivated.
            expiration:
              type: string
              format: date-time
              nullable: true
              description: The date the deactivation expires.
            reason:
              type: string
              nullable: true
              description: The reason for the document was deactivated.
            isDeactivated:
              type: boolean
              description: Determines whether or not the document is deactivated.
          required:
            - creationDate
            - expiration
            - reason
            - isDeactivated
          type: object
        note:
          type: string
          nullable: true
          description: A user note for the document.
        nextRenewalDate:
          type: string
          format: date-time
          nullable: true
          description: When the document needs to be renewed.
        renewalCadence:
          $ref: '#/components/schemas/CadenceType'
          description: How often a document must be renewed.
        reminderWindow:
          allOf:
            - $ref: '#/components/schemas/ReminderWindow'
          nullable: true
          description: The number of day ahead of the renewal date to send a reminder.
        subscribers:
          items:
            type: string
          type: array
          description: A list of the emails subscribed to the document.
      required:
        - id
        - ownerId
        - category
        - description
        - isSensitive
        - title
        - uploadStatus
        - uploadStatusDate
        - url
        - deactivatedStatus
        - note
        - nextRenewalDate
        - renewalCadence
        - reminderWindow
        - subscribers
      type: object
      additionalProperties: false
    DocumentAndTestCategory:
      type: string
      enum:
        - Accounts access
        - Account security
        - Account setup
        - Computers
        - Custom
        - Data storage
        - Employees
        - Infrastructure
        - IT
        - Logging
        - Monitoring alerts
        - People
        - Policies
        - Risk analysis
        - Software development
        - CSPM alert management
        - Vendors
        - Vulnerability management
    DocumentStatus:
      type: string
      enum:
        - Needs document
        - Needs update
        - Not relevant
        - OK
    CadenceType:
      $ref: '#/components/schemas/RecurrenceDuration'
    ReminderWindow:
      enum:
        - P0D
        - P1D
        - P1W
        - P1M
        - P3M
      type: string
    RecurrenceDuration:
      enum:
        - P0D
        - P1D
        - P1W
        - P1M
        - P3M
        - P6M
        - P1Y
        - P2Y
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````